Index: src/work/athos/mincostflow.h
===================================================================
--- src/work/athos/mincostflow.h	(revision 921)
+++ src/work/athos/mincostflow.h	(revision 986)
@@ -74,7 +74,7 @@
       ValueType operator[](typename ResGraph::Edge e) const {     
 	if (res_graph.forward(e))
-	  return  ol[e]-(pot[res_graph.head(e)]-pot[res_graph.tail(e)]);   
+	  return  ol[e]-(pot[res_graph.target(e)]-pot[res_graph.source(e)]);   
 	else
-	  return -ol[e]-(pot[res_graph.head(e)]-pot[res_graph.tail(e)]);   
+	  return -ol[e]-(pot[res_graph.target(e)]-pot[res_graph.source(e)]);   
       }     
 	
@@ -259,6 +259,6 @@
 	  while ( i != nonabundant_arcs.end() ){
 	    if (flow[*i]>=buf){
-	      Node a = abundant_components.find(res_graph.head(*i));
-	      Node b = abundant_components.find(res_graph.tail(*i));
+	      Node a = abundant_components.find(res_graph.target(*i));
+	      Node b = abundant_components.find(res_graph.source(*i));
 	      //Merge
 	      if (a != b){
@@ -285,5 +285,5 @@
 		  while (n!=non_root){
 		    e = bfs_pred[n];
-		    n = res_graph.tail(e);
+		    n = res_graph.source(e);
 		    res_graph.augment(e,qty_to_augment);
 		  }
@@ -455,5 +455,5 @@
       FOR_EACH_LOC(typename Graph::EdgeIt, e, graph){
 	//C^{\Pi}_{i,j}
-	mod_pot = cost[e]-potential[graph.head(e)]+potential[graph.tail(e)];
+	mod_pot = cost[e]-potential[graph.target(e)]+potential[graph.source(e)];
 	fl_e = flow[e];
 	//	std::cout << fl_e << std::endl;
@@ -484,6 +484,6 @@
 	  return false;
 	}
-	supdem[graph.tail(e)] += flow[e];
-	supdem[graph.head(e)] -= flow[e];
+	supdem[graph.source(e)] += flow[e];
+	supdem[graph.target(e)] -= flow[e];
       }
       //write_property_vector(supdem, "supdem");
Index: src/work/athos/old/minlengthpaths.h
===================================================================
--- src/work/athos/old/minlengthpaths.h	(revision 921)
+++ src/work/athos/old/minlengthpaths.h	(revision 986)
@@ -54,8 +54,8 @@
 	
       ValueType operator[](typename ResGraphType::Edge e) const {     
-	//if ( (1-2*rev[e])*ol[e]-(pot[G.head(e)]-pot[G.tail(e)] ) <0 ){
+	//if ( (1-2*rev[e])*ol[e]-(pot[G.target(e)]-pot[G.source(e)] ) <0 ){
 	//  std::cout<<"Negative length!!"<<std::endl;
 	//}
-	return (1-2*rev[e])*ol[e]-(pot[G.head(e)]-pot[G.tail(e)]);   
+	return (1-2*rev[e])*ol[e]-(pot[G.target(e)]-pot[G.source(e)]);   
       }     
 	
@@ -162,5 +162,5 @@
 	    G.next(e);
 	  }
-	  n = G.head(e);
+	  n = G.target(e);
 	  paths[j].push_back(e);
 	  total_length += length[e];
Index: src/work/athos/preflow_push_wogw.h
===================================================================
--- src/work/athos/preflow_push_wogw.h	(revision 921)
+++ src/work/athos/preflow_push_wogw.h	(revision 986)
@@ -140,5 +140,5 @@
     //This private procedure is supposed to modify the preflow on edge j
     //by value v (which can be positive or negative as well) 
-    //and maintain the excess on the head and tail
+    //and maintain the excess on the target and source
     //Here we do not check whether this is possible or not
     void modify_preflow(Edge j, const T& v){
@@ -148,9 +148,9 @@
 
 
-      //Modifiyng the head
-      modify_excess(G.head(j),v);
-	
-      //Modifiyng the tail
-      modify_excess(G.tail(j),-v);
+      //Modifiyng the target
+      modify_excess(G.target(j),v);
+	
+      //Modifiyng the source
+      modify_excess(G.source(j),-v);
 
     }
@@ -273,5 +273,5 @@
 	InEdgeIt e;
 	for(G.first(e,v); G.valid(e); G.next(e)) {
-	  Node w=G.tail(e);
+	  Node w=G.source(e);
 	  if ( level[w] == number_of_nodes && w != s ) {
 	    bfs_queue.push(w);
@@ -311,6 +311,6 @@
       for(OutEdgeIt j=G.template first<OutEdgeIt>(s); G.valid(j); G.next(j)){ 
 	modify_preflow(j,capacity[j] );
-	make_active(G.head(j));
-	int lev=level[G.head(j)];
+	make_active(G.target(j));
+	int lev=level[G.target(j)];
 	if(highest_active<lev){
 	  highest_active=lev;
@@ -326,10 +326,10 @@
 
       if (capacity[j]>preflow[j]){
-	if(level[G.tail(j)]==level[G.head(j)]+1){
+	if(level[G.source(j)]==level[G.target(j)]+1){
 	  return true;
 	}
 	else{
-	  if (level[G.head(j)] < new_level)
-	    new_level=level[G.head(j)];
+	  if (level[G.target(j)] < new_level)
+	    new_level=level[G.target(j)];
 	}
       }
@@ -342,11 +342,11 @@
       
       if (0<preflow[j]){
-	if(level[G.tail(j)]==level[G.head(j)]-1){
+	if(level[G.source(j)]==level[G.target(j)]-1){
 	 
 	  return true;
 	}
 	else{
-	  if (level[G.tail(j)] < new_level)
-	    new_level=level[G.tail(j)];
+	  if (level[G.source(j)] < new_level)
+	    new_level=level[G.source(j)];
 	}
 	
@@ -389,6 +389,6 @@
 	      e -= v;
 	      //New node might become active
-	      if (excess[G.head(j)]==0){
-		make_active(G.head(j));
+	      if (excess[G.target(j)]==0){
+		make_active(G.target(j));
 	      }
 	      modify_preflow(j,v);
@@ -405,6 +405,6 @@
 	      e -= v;
 	      //New node might become active
-	      if (excess[G.tail(j)]==0){
-		make_active(G.tail(j));
+	      if (excess[G.source(j)]==0){
+		make_active(G.source(j));
 	      }
 	      modify_preflow(j,-v);
Index: src/work/deba/list_graph.h
===================================================================
--- src/work/deba/list_graph.h	(revision 921)
+++ src/work/deba/list_graph.h	(revision 986)
@@ -44,5 +44,5 @@
     struct EdgeT 
     {
-      int head, tail;
+      int target, source;
       int prev_in, prev_out;
       int next_in, next_out;
@@ -105,12 +105,12 @@
     int maxEdgeId() const { return edges.size(); }  //FIXME: What is this?
 
-    Node tail(Edge e) const { return edges[e.n].tail; }
-    Node head(Edge e) const { return edges[e.n].head; }
-
-    Node aNode(OutEdgeIt e) const { return edges[e.n].tail; }
-    Node aNode(InEdgeIt e) const { return edges[e.n].head; }
-
-    Node bNode(OutEdgeIt e) const { return edges[e.n].head; }
-    Node bNode(InEdgeIt e) const { return edges[e.n].tail; }
+    Node source(Edge e) const { return edges[e.n].source; }
+    Node target(Edge e) const { return edges[e.n].target; }
+
+    Node aNode(OutEdgeIt e) const { return edges[e.n].source; }
+    Node aNode(InEdgeIt e) const { return edges[e.n].target; }
+
+    Node bNode(OutEdgeIt e) const { return edges[e.n].target; }
+    Node bNode(InEdgeIt e) const { return edges[e.n].source; }
 
     NodeIt& first(NodeIt& v) const { 
@@ -152,5 +152,5 @@
       else {
 	int n;
-	for(n=nodes[edges[it.n].head].next;
+	for(n=nodes[edges[it.n].target].next;
 	    n!=-1 && nodes[n].first_in == -1;
 	    n = nodes[n].next) ;
@@ -208,5 +208,5 @@
       }
       
-      edges[n].tail = u.n; edges[n].head = v.n;
+      edges[n].source = u.n; edges[n].target = v.n;
 
       edges[n].next_out = nodes[u.n].first_out;
@@ -233,5 +233,5 @@
       if(edges[n].prev_in!=-1)
 	edges[edges[n].prev_in].next_in = edges[n].next_in;
-      else nodes[edges[n].head].first_in = edges[n].next_in;
+      else nodes[edges[n].target].first_in = edges[n].next_in;
       
       if(edges[n].next_out!=-1)
@@ -239,5 +239,5 @@
       if(edges[n].prev_out!=-1)
 	edges[edges[n].prev_out].next_out = edges[n].next_out;
-      else nodes[edges[n].tail].first_out = edges[n].next_out;
+      else nodes[edges[n].source].first_out = edges[n].next_out;
       
       edges[n].next_in = first_free_edge;
Index: src/work/jacint/max_flow.h
===================================================================
--- src/work/jacint/max_flow.h	(revision 921)
+++ src/work/jacint/max_flow.h	(revision 986)
@@ -327,5 +327,5 @@
 	OutEdgeIt e;
 	for(g->first(e,w) ; g->valid(e); g->next(e)) {
-	  Node v=g->head(e);
+	  Node v=g->target(e);
 	  if (!M[v] && (*flow)[e] < (*capacity)[e] ) {
 	    queue.push(v);
@@ -336,5 +336,5 @@
 	InEdgeIt f;
 	for(g->first(f,w) ; g->valid(f); g->next(f)) {
-	  Node v=g->tail(f);
+	  Node v=g->source(f);
 	  if (!M[v] && (*flow)[f] > 0 ) {
 	    queue.push(v);
@@ -371,5 +371,5 @@
 	InEdgeIt e;
 	for(g->first(e,w) ; g->valid(e); g->next(e)) {
-	  Node v=g->tail(e);
+	  Node v=g->source(e);
 	  if (M[v] && (*flow)[e] < (*capacity)[e] ) {
 	    queue.push(v);
@@ -380,5 +380,5 @@
 	OutEdgeIt f;
 	for(g->first(f,w) ; g->valid(f); g->next(f)) {
-	  Node v=g->head(f);
+	  Node v=g->target(f);
 	  if (M[v] && (*flow)[f] > 0 ) {
 	    queue.push(v);
@@ -434,5 +434,5 @@
 
 	if ( (*flow)[e] >= (*capacity)[e] ) continue;
-	Node v=g->head(e);
+	Node v=g->target(e);
 
 	if( lev > level[v] ) { //Push is allowed now
@@ -467,5 +467,5 @@
 
 	  if( (*flow)[e] <= 0 ) continue;
-	  Node v=g->tail(e);
+	  Node v=g->source(e);
 
 	  if( lev > level[v] ) { //Push is allowed now
@@ -522,5 +522,5 @@
 	    InEdgeIt e;
 	    for(g->first(e,v); g->valid(e); g->next(e)) {
-	      Node w=g->tail(e);
+	      Node w=g->source(e);
 	      if ( level[w] == n && w != s ) {
 		bfs_queue.push(w);
@@ -540,5 +540,5 @@
 	      Num c=(*capacity)[e];
 	      if ( c <= 0 ) continue;
-	      Node w=g->head(e);
+	      Node w=g->target(e);
 	      if ( level[w] < n ) {
 		if ( excess[w] <= 0 && w!=t ) active[level[w]].push(w);
@@ -567,5 +567,5 @@
 	    for(g->first(e,v); g->valid(e); g->next(e)) {
 	      if ( (*capacity)[e] <= (*flow)[e] ) continue;
-	      Node w=g->tail(e);
+	      Node w=g->source(e);
 	      if ( level[w] == n && w != s ) {
 		bfs_queue.push(w);
@@ -581,5 +581,5 @@
 	    for(g->first(f,v); g->valid(f); g->next(f)) {
 	      if ( 0 >= (*flow)[f] ) continue;
-	      Node w=g->head(f);
+	      Node w=g->target(f);
 	      if ( level[w] == n && w != s ) {
 		bfs_queue.push(w);
@@ -600,5 +600,5 @@
 	      Num rem=(*capacity)[e]-(*flow)[e];
 	      if ( rem <= 0 ) continue;
-	      Node w=g->head(e);
+	      Node w=g->target(e);
 	      if ( level[w] < n ) {
 		if ( excess[w] <= 0 && w!=t ) active[level[w]].push(w);
@@ -612,5 +612,5 @@
 	    {
 	      if ( (*flow)[f] <= 0 ) continue;
-	      Node w=g->tail(f);
+	      Node w=g->source(f);
 	      if ( level[w] < n ) {
 		if ( excess[w] <= 0 && w!=t ) active[level[w]].push(w);
@@ -711,7 +711,7 @@
       // 	return dist[n]; }
       //       bool get(const typename MapGraphWrapper::Edge& e) const {
-      // 	return (dist.get(g->tail(e))<dist.get(g->head(e))); }
+      // 	return (dist.get(g->source(e))<dist.get(g->target(e))); }
       bool operator[](const typename MapGraphWrapper::Edge& e) const {
-	return (dist[g->tail(e)]<dist[g->head(e)]);
+	return (dist[g->source(e)]<dist[g->target(e)]);
       }
     };
@@ -861,5 +861,5 @@
       for(g->first(e,v); g->valid(e); g->next(e)) {
 	if ( (*capacity)[e] <= (*flow)[e] ) continue;
-	Node u=g->tail(e);
+	Node u=g->source(e);
 	if ( level[u] >= n ) {
 	  bfs_queue.push(u);
@@ -872,5 +872,5 @@
       for(g->first(f,v); g->valid(f); g->next(f)) {
 	if ( 0 >= (*flow)[f] ) continue;
-	Node u=g->head(f);
+	Node u=g->target(f);
 	if ( level[u] >= n ) {
 	  bfs_queue.push(u);
@@ -926,6 +926,6 @@
       ResGWOutEdgeIt e=bfs;
       if (res_graph.valid(e) && bfs.isBNodeNewlyReached()) {
-	Node v=res_graph.tail(e);
-	Node w=res_graph.head(e);
+	Node v=res_graph.source(e);
+	Node w=res_graph.target(e);
 	pred.set(w, e);
 	if (res_graph.valid(pred[v])) {
@@ -934,5 +934,5 @@
 	  free.set(w, res_graph.resCap(e));
 	}
-	if (res_graph.head(e)==t) { _augment=true; break; }
+	if (res_graph.target(e)==t) { _augment=true; break; }
       }
 
@@ -946,5 +946,5 @@
 	ResGWEdge e=pred[n];
 	res_graph.augment(e, augment_value);
-	n=res_graph.tail(e);
+	n=res_graph.source(e);
       }
     }
@@ -984,6 +984,6 @@
       ResGWOutEdgeIt e=bfs;
       if (res_graph.valid(e) && bfs.isBNodeNewlyReached()) {
-	Node v=res_graph.tail(e);
-	Node w=res_graph.head(e);
+	Node v=res_graph.source(e);
+	Node w=res_graph.target(e);
 	pred.set(w, e);
 	if (res_graph.valid(pred[v])) {
@@ -992,5 +992,5 @@
 	  free.set(w, res_graph.resCap(e));
 	}
-	if (res_graph.head(e)==t) { _augment=true; break; }
+	if (res_graph.target(e)==t) { _augment=true; break; }
       }
 
@@ -1004,5 +1004,5 @@
 	ResGWEdge e=pred[n];
 	res_graph.augment(e, augment_value);
-	n=res_graph.tail(e);
+	n=res_graph.source(e);
       }
     }
@@ -1051,7 +1051,7 @@
       if (res_graph.valid(e)) {
 	if (bfs.isBNodeNewlyReached()) {
-	  dist.set(res_graph.head(e), dist[res_graph.tail(e)]+1);
-	  typename MG::Edge f=F.addEdge(res_graph_to_F[res_graph.tail(e)],
-					res_graph_to_F[res_graph.head(e)]);
+	  dist.set(res_graph.target(e), dist[res_graph.source(e)]+1);
+	  typename MG::Edge f=F.addEdge(res_graph_to_F[res_graph.source(e)],
+					res_graph_to_F[res_graph.target(e)]);
 	  original_edge.update();
 	  original_edge.set(f, e);
@@ -1059,7 +1059,7 @@
 	  residual_capacity.set(f, res_graph.resCap(e));
 	} else {
-	  if (dist[res_graph.head(e)]==(dist[res_graph.tail(e)]+1)) {
-	    typename MG::Edge f=F.addEdge(res_graph_to_F[res_graph.tail(e)],
-					  res_graph_to_F[res_graph.head(e)]);
+	  if (dist[res_graph.target(e)]==(dist[res_graph.source(e)]+1)) {
+	    typename MG::Edge f=F.addEdge(res_graph_to_F[res_graph.source(e)],
+					  res_graph_to_F[res_graph.target(e)]);
 	    original_edge.update();
 	    original_edge.set(f, e);
@@ -1115,5 +1115,5 @@
 	  typename MG::Edge e=pred[n];
 	  res_graph.augment(original_edge[e], augment_value);
-	  n=F.tail(e);
+	  n=F.source(e);
 	  if (residual_capacity[e]==augment_value)
 	    F.erase(e);
@@ -1148,5 +1148,5 @@
       ResGWOutEdgeIt e=bfs;
       if (res_graph.valid(e) && bfs.isBNodeNewlyReached()) {
-	dist.set(res_graph.head(e), dist[res_graph.tail(e)]+1);
+	dist.set(res_graph.target(e), dist[res_graph.source(e)]+1);
       }
       ++bfs;
@@ -1248,5 +1248,5 @@
 	  typename ErasingResGW::OutEdgeIt e=pred[n];
 	  res_graph.augment(e, augment_value);
-	  n=erasing_res_graph.tail(e);
+	  n=erasing_res_graph.source(e);
 	  if (res_graph.resCap(e)==0)
 	    erasing_res_graph.erase(e);
Index: src/work/jacint/max_flow_bug.cc
===================================================================
--- src/work/jacint/max_flow_bug.cc	(revision 921)
+++ src/work/jacint/max_flow_bug.cc	(revision 986)
@@ -43,5 +43,5 @@
   EdgeIt e;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (mincut[G.tail(e)] && !mincut[G.head(e)]) min_min_cut_value+=cap[e];
+    if (mincut[G.source(e)] && !mincut[G.target(e)]) min_min_cut_value+=cap[e];
   }
 
@@ -50,5 +50,5 @@
   int min_cut_value=0;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (cut[G.tail(e)] && !cut[G.head(e)]) 
+    if (cut[G.source(e)] && !cut[G.target(e)]) 
       min_cut_value+=cap[e];
   }
@@ -58,5 +58,5 @@
   int max_min_cut_value=0;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (maxcut[G.tail(e)] && !maxcut[G.head(e)]) 
+    if (maxcut[G.source(e)] && !maxcut[G.target(e)]) 
       max_min_cut_value+=cap[e];
       }
@@ -89,5 +89,5 @@
   int min_min_cut_value2=0;
     for(G.first(e); G.valid(e); G.next(e)) {
-    if (mincut2[G.tail(e)] && !mincut2[G.head(e)]) min_min_cut_value2+=cap[e];
+    if (mincut2[G.source(e)] && !mincut2[G.target(e)]) min_min_cut_value2+=cap[e];
   }
 
@@ -96,5 +96,5 @@
   int min_cut_value2=0;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (cut2[G.tail(e)] && !cut2[G.head(e)]) 
+    if (cut2[G.source(e)] && !cut2[G.target(e)]) 
       min_cut_value2+=cap[e];
   }
@@ -104,5 +104,5 @@
   int max_min_cut_value2=0;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (maxcut2[G.tail(e)] && !maxcut2[G.head(e)]) 
+    if (maxcut2[G.source(e)] && !maxcut2[G.target(e)]) 
       max_min_cut_value2+=cap[e];
       }
@@ -128,5 +128,5 @@
   int min_min_cut_value3=0;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (mincut3[G.tail(e)] && !mincut3[G.head(e)]) min_min_cut_value3+=cap[e];
+    if (mincut3[G.source(e)] && !mincut3[G.target(e)]) min_min_cut_value3+=cap[e];
   }
 
@@ -135,5 +135,5 @@
   int min_cut_value3=0;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (cut3[G.tail(e)] && !cut3[G.head(e)]) 
+    if (cut3[G.source(e)] && !cut3[G.target(e)]) 
       min_cut_value3+=cap[e];
   }
@@ -143,5 +143,5 @@
   int max_min_cut_value3=0;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (maxcut3[G.tail(e)] && !maxcut3[G.head(e)]) 
+    if (maxcut3[G.source(e)] && !maxcut3[G.target(e)]) 
       max_min_cut_value3+=cap[e];
   }
Index: src/work/jacint/max_flow_test.cc
===================================================================
--- src/work/jacint/max_flow_test.cc	(revision 921)
+++ src/work/jacint/max_flow_test.cc	(revision 986)
@@ -46,5 +46,5 @@
   EdgeIt e;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (mincut[G.tail(e)] && !mincut[G.head(e)]) min_min_cut_value+=cap[e];
+    if (mincut[G.source(e)] && !mincut[G.target(e)]) min_min_cut_value+=cap[e];
   }
 
@@ -53,5 +53,5 @@
   int min_cut_value=0;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (cut[G.tail(e)] && !cut[G.head(e)]) 
+    if (cut[G.source(e)] && !cut[G.target(e)]) 
       min_cut_value+=cap[e];
   }
@@ -61,5 +61,5 @@
   int max_min_cut_value=0;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (maxcut[G.tail(e)] && !maxcut[G.head(e)]) 
+    if (maxcut[G.source(e)] && !maxcut[G.target(e)]) 
       max_min_cut_value+=cap[e];
       }
@@ -92,5 +92,5 @@
   int min_min_cut_value2=0;
     for(G.first(e); G.valid(e); G.next(e)) {
-    if (mincut2[G.tail(e)] && !mincut2[G.head(e)]) min_min_cut_value2+=cap[e];
+    if (mincut2[G.source(e)] && !mincut2[G.target(e)]) min_min_cut_value2+=cap[e];
   }
 
@@ -99,5 +99,5 @@
   int min_cut_value2=0;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (cut2[G.tail(e)] && !cut2[G.head(e)]) 
+    if (cut2[G.source(e)] && !cut2[G.target(e)]) 
       min_cut_value2+=cap[e];
   }
@@ -107,5 +107,5 @@
   int max_min_cut_value2=0;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (maxcut2[G.tail(e)] && !maxcut2[G.head(e)]) 
+    if (maxcut2[G.source(e)] && !maxcut2[G.target(e)]) 
       max_min_cut_value2+=cap[e];
       }
@@ -131,5 +131,5 @@
   int min_min_cut_value3=0;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (mincut3[G.tail(e)] && !mincut3[G.head(e)]) min_min_cut_value3+=cap[e];
+    if (mincut3[G.source(e)] && !mincut3[G.target(e)]) min_min_cut_value3+=cap[e];
   }
 
@@ -138,5 +138,5 @@
   int min_cut_value3=0;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (cut3[G.tail(e)] && !cut3[G.head(e)]) 
+    if (cut3[G.source(e)] && !cut3[G.target(e)]) 
       min_cut_value3+=cap[e];
   }
@@ -146,5 +146,5 @@
   int max_min_cut_value3=0;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (maxcut3[G.tail(e)] && !maxcut3[G.head(e)]) 
+    if (maxcut3[G.source(e)] && !maxcut3[G.target(e)]) 
       max_min_cut_value3+=cap[e];
   }
Index: src/work/jacint/max_matching.cc
===================================================================
--- src/work/jacint/max_matching.cc	(revision 921)
+++ src/work/jacint/max_matching.cc	(revision 986)
@@ -191,6 +191,6 @@
   EdgeIt e;
   for(G.first(e); G.valid(e); G.next(e) ) {
-    if ( (pos[G.head(e)]==max_matching.C && pos[G.tail(e)]==max_matching.D) || 
-	 (pos[G.head(e)]==max_matching.D && pos[G.tail(e)]==max_matching.C) )
+    if ( (pos[G.target(e)]==max_matching.C && pos[G.source(e)]==max_matching.D) || 
+	 (pos[G.target(e)]==max_matching.D && pos[G.source(e)]==max_matching.C) )
       noedge=false; 
   }
Index: src/work/jacint/max_matching.h
===================================================================
--- src/work/jacint/max_matching.h	(revision 921)
+++ src/work/jacint/max_matching.h	(revision 986)
@@ -154,5 +154,5 @@
 	Edge e=map[v];
 	if ( G.valid(e) )
-	  G.tail(e) == v ? mate.set(v,G.head(e)) : mate.set(v,G.tail(e)); 
+	  G.source(e) == v ? mate.set(v,G.target(e)) : mate.set(v,G.source(e)); 
       } 
     } 
@@ -173,7 +173,7 @@
       NodeIt e;
       for( G.first(e); G.valid(e); G.next(e)) {
-	if ( todo[G.head(e)] && todo[G.tail(e)] ) {
-	  Node u=G.tail(e);
-	  Node v=G.head(e); 
+	if ( todo[G.target(e)] && todo[G.source(e)] ) {
+	  Node u=G.source(e);
+	  Node v=G.target(e); 
 	  if ( mate[u]=v && mate[v]=u ) {
 	    map.set(u,e);
@@ -197,6 +197,6 @@
       for( G.first(e); G.valid(e); G.next(e)) {
 	if ( G.valid(e) ) {
-	  Node u=G.tail(e);	  
-	  Node v=G.head(e);
+	  Node u=G.source(e);	  
+	  Node v=G.target(e);
 	  mate.set(u,v);
 	  mate.set(v,u);
@@ -223,7 +223,7 @@
       for( G.first(e); G.valid(e); G.next(e)) {
 	map.set(e,false);
-	if ( todo[G.head(e)] && todo[G.tail(e)] ) {
-	  Node u=G.tail(e);
-	  Node v=G.head(e); 
+	if ( todo[G.target(e)] && todo[G.source(e)] ) {
+	  Node u=G.source(e);
+	  Node v=G.target(e); 
 	  if ( mate[u]=v && mate[v]=u ) {
 	    map.set(e,true);
Index: src/work/jacint/max_save.h
===================================================================
--- src/work/jacint/max_save.h	(revision 921)
+++ src/work/jacint/max_save.h	(revision 986)
@@ -259,5 +259,5 @@
 	OutEdgeIt e;
 	for(g->first(e,w) ; g->valid(e); g->next(e)) {
-	  Node v=g->head(e);
+	  Node v=g->target(e);
 	  if (!M[v] && (*flow)[e] < (*capacity)[e] ) {
 	    queue.push(v);
@@ -268,5 +268,5 @@
 	InEdgeIt f;
 	for(g->first(f,w) ; g->valid(f); g->next(f)) {
-	  Node v=g->tail(f);
+	  Node v=g->source(f);
 	  if (!M[v] && (*flow)[f] > 0 ) {
 	    queue.push(v);
@@ -305,5 +305,5 @@
 	InEdgeIt e;
 	for(g->first(e,w) ; g->valid(e); g->next(e)) {
-	  Node v=g->tail(e);
+	  Node v=g->source(e);
 	  if (M[v] && (*flow)[e] < (*capacity)[e] ) {
 	    queue.push(v);
@@ -314,5 +314,5 @@
 	OutEdgeIt f;
 	for(g->first(f,w) ; g->valid(f); g->next(f)) {
-	  Node v=g->head(f);
+	  Node v=g->target(f);
 	  if (M[v] && (*flow)[f] > 0 ) {
 	    queue.push(v);
@@ -370,5 +370,5 @@
 	    
 	if ( (*flow)[e] >= (*capacity)[e] ) continue; 
-	Node v=g->head(e);            
+	Node v=g->target(e);            
 	    
 	if( lev > level[v] ) { //Push is allowed now
@@ -403,5 +403,5 @@
 	  
 	  if( (*flow)[e] <= 0 ) continue; 
-	  Node v=g->tail(e); 
+	  Node v=g->source(e); 
 	  
 	  if( lev > level[v] ) { //Push is allowed now
@@ -457,5 +457,5 @@
 				  InEdgeIt e;
 				  for(g->first(e,v); g->valid(e); g->next(e)) {
-				    Node w=g->tail(e);
+				    Node w=g->source(e);
 				    if ( level[w] == n && w != s ) {
 				      bfs_queue.push(w);
@@ -475,5 +475,5 @@
 				    Num c=(*capacity)[e];
 				    if ( c <= 0 ) continue;
-				    Node w=g->head(e);
+				    Node w=g->target(e);
 				    if ( level[w] < n ) {	  
 				      if ( excess[w] <= 0 && w!=t ) active[level[w]].push(w);
@@ -502,5 +502,5 @@
 				  for(g->first(e,v); g->valid(e); g->next(e)) {
 				    if ( (*capacity)[e] <= (*flow)[e] ) continue;
-				    Node w=g->tail(e);
+				    Node w=g->source(e);
 				    if ( level[w] == n && w != s ) {
 				      bfs_queue.push(w);
@@ -516,5 +516,5 @@
 				  for(g->first(f,v); g->valid(f); g->next(f)) {
 				    if ( 0 >= (*flow)[f] ) continue;
-				    Node w=g->head(f);
+				    Node w=g->target(f);
 				    if ( level[w] == n && w != s ) {
 				      bfs_queue.push(w);
@@ -535,5 +535,5 @@
 				    Num rem=(*capacity)[e]-(*flow)[e];
 				    if ( rem <= 0 ) continue;
-				    Node w=g->head(e);
+				    Node w=g->target(e);
 				    if ( level[w] < n ) {	  
 				      if ( excess[w] <= 0 && w!=t ) active[level[w]].push(w);
@@ -547,5 +547,5 @@
 				  {
 				    if ( (*flow)[f] <= 0 ) continue;
-				    Node w=g->tail(f);
+				    Node w=g->source(f);
 				    if ( level[w] < n ) {	  
 				      if ( excess[w] <= 0 && w!=t ) active[level[w]].push(w);
@@ -645,7 +645,7 @@
       // 	return dist[n]; }
       //       bool get(const typename MapGraphWrapper::Edge& e) const { 
-      // 	return (dist.get(g->tail(e))<dist.get(g->head(e))); }
+      // 	return (dist.get(g->source(e))<dist.get(g->target(e))); }
       bool operator[](const typename MapGraphWrapper::Edge& e) const { 
-	return (dist[g->tail(e)]<dist[g->head(e)]); 
+	return (dist[g->source(e)]<dist[g->target(e)]); 
       }
     };
@@ -784,5 +784,5 @@
       for(g->first(e,v); g->valid(e); g->next(e)) {
 	if ( (*capacity)[e] <= (*flow)[e] ) continue;
-	Node u=g->tail(e);
+	Node u=g->source(e);
 	if ( level[u] >= n ) { 
 	  bfs_queue.push(u);
@@ -795,5 +795,5 @@
       for(g->first(f,v); g->valid(f); g->next(f)) {
 	if ( 0 >= (*flow)[f] ) continue;
-	Node u=g->head(f);
+	Node u=g->target(f);
 	if ( level[u] >= n ) { 
 	  bfs_queue.push(u);
@@ -847,6 +847,6 @@
       ResGWOutEdgeIt e=bfs;
       if (res_graph.valid(e) && bfs.isBNodeNewlyReached()) {
-	Node v=res_graph.tail(e);
-	Node w=res_graph.head(e);
+	Node v=res_graph.source(e);
+	Node w=res_graph.target(e);
 	pred.set(w, e);
 	if (res_graph.valid(pred[v])) {
@@ -855,5 +855,5 @@
 	  free.set(w, res_graph.resCap(e)); 
 	}
-	if (res_graph.head(e)==t) { _augment=true; break; }
+	if (res_graph.target(e)==t) { _augment=true; break; }
       }
 	
@@ -867,5 +867,5 @@
 	ResGWEdge e=pred[n];
 	res_graph.augment(e, augment_value); 
-	n=res_graph.tail(e);
+	n=res_graph.source(e);
       }
     }
@@ -920,6 +920,6 @@
       if (res_graph.valid(e)) {
 	if (bfs.isBNodeNewlyReached()) {
-	  dist.set(res_graph.head(e), dist[res_graph.tail(e)]+1);
-	  typename MG::Edge f=F.addEdge(res_graph_to_F[res_graph.tail(e)], res_graph_to_F[res_graph.head(e)]);
+	  dist.set(res_graph.target(e), dist[res_graph.source(e)]+1);
+	  typename MG::Edge f=F.addEdge(res_graph_to_F[res_graph.source(e)], res_graph_to_F[res_graph.target(e)]);
 	  original_edge.update();
 	  original_edge.set(f, e);
@@ -927,6 +927,6 @@
 	  residual_capacity.set(f, res_graph.resCap(e));
 	} else {
-	  if (dist[res_graph.head(e)]==(dist[res_graph.tail(e)]+1)) {
-	    typename MG::Edge f=F.addEdge(res_graph_to_F[res_graph.tail(e)], res_graph_to_F[res_graph.head(e)]);
+	  if (dist[res_graph.target(e)]==(dist[res_graph.source(e)]+1)) {
+	    typename MG::Edge f=F.addEdge(res_graph_to_F[res_graph.source(e)], res_graph_to_F[res_graph.target(e)]);
 	    original_edge.update();
 	    original_edge.set(f, e);
@@ -982,5 +982,5 @@
 	  typename MG::Edge e=pred[n];
 	  res_graph.augment(original_edge[e], augment_value); 
-	  n=F.tail(e);
+	  n=F.source(e);
 	  if (residual_capacity[e]==augment_value) 
 	    F.erase(e); 
@@ -1016,5 +1016,5 @@
       ResGWOutEdgeIt e=bfs;
       if (res_graph.valid(e) && bfs.isBNodeNewlyReached()) {
-	dist.set(res_graph.head(e), dist[res_graph.tail(e)]+1);
+	dist.set(res_graph.target(e), dist[res_graph.source(e)]+1);
       }
       ++bfs;
@@ -1113,5 +1113,5 @@
 	  typename ErasingResGW::OutEdgeIt e=pred[n];
 	  res_graph.augment(e, augment_value);
-	  n=erasing_res_graph.tail(e);
+	  n=erasing_res_graph.source(e);
 	  if (res_graph.resCap(e)==0)
 	    erasing_res_graph.erase(e);
Index: src/work/jacint/preflow.cc
===================================================================
--- src/work/jacint/preflow.cc	(revision 921)
+++ src/work/jacint/preflow.cc	(revision 986)
@@ -47,7 +47,7 @@
   for(G.first(e); G.valid(e); G.next(e)) {
     int c=cap[e];
-    if (mincut[G.tail(e)] && !mincut[G.head(e)]) min_min_cut_value+=c;
-    if (cut[G.tail(e)] && !cut[G.head(e)]) min_cut_value+=c; 
-    if (maxcut[G.tail(e)] && !maxcut[G.head(e)]) max_min_cut_value+=c;
+    if (mincut[G.source(e)] && !mincut[G.target(e)]) min_min_cut_value+=c;
+    if (cut[G.source(e)] && !cut[G.target(e)]) min_cut_value+=c; 
+    if (maxcut[G.source(e)] && !maxcut[G.target(e)]) max_min_cut_value+=c;
   }
 
@@ -87,7 +87,7 @@
   for(G.first(e); G.valid(e); G.next(e)) {
     int c=cap[e];
-    if (mincut2[G.tail(e)] && !mincut2[G.head(e)]) min_min_cut2_value+=c;
-    if (cut2[G.tail(e)] && !cut2[G.head(e)]) min_cut2_value+=c; 
-    if (maxcut2[G.tail(e)] && !maxcut2[G.head(e)]) max_min_cut2_value+=c;
+    if (mincut2[G.source(e)] && !mincut2[G.target(e)]) min_min_cut2_value+=c;
+    if (cut2[G.source(e)] && !cut2[G.target(e)]) min_cut2_value+=c; 
+    if (maxcut2[G.source(e)] && !maxcut2[G.target(e)]) max_min_cut2_value+=c;
   }
 
@@ -139,8 +139,8 @@
   for(G.first(e); G.valid(e); G.next(e)) {
     int c=cap[e];
-    if (mincut3[G.tail(e)] && !mincut3[G.head(e)]) min_min_cut3_value+=c;
-    if (cut3[G.tail(e)] && !cut3[G.head(e)]) min_cut3_value+=c; 
-    if (maxcut3[G.tail(e)] && !maxcut3[G.head(e)]) max_min_cut3_value+=c;
-    if (actcut3[G.tail(e)] && !actcut3[G.head(e)]) act_min_cut3_value+=c;
+    if (mincut3[G.source(e)] && !mincut3[G.target(e)]) min_min_cut3_value+=c;
+    if (cut3[G.source(e)] && !cut3[G.target(e)]) min_cut3_value+=c; 
+    if (maxcut3[G.source(e)] && !maxcut3[G.target(e)]) max_min_cut3_value+=c;
+    if (actcut3[G.source(e)] && !actcut3[G.target(e)]) act_min_cut3_value+=c;
   }
 
@@ -196,7 +196,7 @@
   for(G.first(e); G.valid(e); G.next(e)) {
     int c=cap[e];
-    if (mincut4[G.tail(e)] && !mincut4[G.head(e)]) min_min_cut4_value+=c;
-    if (cut4[G.tail(e)] && !cut4[G.head(e)]) min_cut4_value+=c; 
-    if (maxcut4[G.tail(e)] && !maxcut4[G.head(e)]) max_min_cut4_value+=c;
+    if (mincut4[G.source(e)] && !mincut4[G.target(e)]) min_min_cut4_value+=c;
+    if (cut4[G.source(e)] && !cut4[G.target(e)]) min_cut4_value+=c; 
+    if (maxcut4[G.source(e)] && !maxcut4[G.target(e)]) max_min_cut4_value+=c;
   }
 
@@ -239,7 +239,7 @@
   for(G.first(e); G.valid(e); G.next(e)) {
     int c=cap[e];
-    if (mincut5[G.tail(e)] && !mincut5[G.head(e)]) min_min_cut5_value+=c;
-    if (cut5[G.tail(e)] && !cut5[G.head(e)]) min_cut5_value+=c; 
-    if (maxcut5[G.tail(e)] && !maxcut5[G.head(e)]) max_min_cut5_value+=c;
+    if (mincut5[G.source(e)] && !mincut5[G.target(e)]) min_min_cut5_value+=c;
+    if (cut5[G.source(e)] && !cut5[G.target(e)]) min_cut5_value+=c; 
+    if (maxcut5[G.source(e)] && !maxcut5[G.target(e)]) max_min_cut5_value+=c;
   }
 
